# xSQL Statistics Logging Parameters

> The xSQL configuration file can be used to define statistics logging parameters.

> ### For an overview see page Configuration File Parameters

> The `xlog_params` section consists of a set of "name : value" pairs enclosed within braces. For example:

>         xlog_params : {
>             collect_stat : true,
>             ringbuf_size : 25,
>             ...
>         }

> The following table lists the possible options for the `xlog_params` section:

> Option name : example value | Comment
> --- | ---
> collect_stat : true, | Toggle the collection of the statistics on and off, boolean. The default value is `true`
> ringbuf_size : 25, | The size of the circular buffer for each client: how many statements are kept from the client are kept in the log, integer. The default value is `10`
> max_inactive_time : 1200000, | The time in milliseconds to keep the logs after the client has been disconnected, integer. The default value is `60000` (one minute)
> max_inactive_sessions : 100, | The maximum number of disconnected clients (even if the time specified in `max_inactive_client` has not passed yet), integer. Default value `-1` (no limit)
> restart_server : true, | Toggle turning the server restarting on and off, boolean. The default value is `true`
> restart_n_quick_fail : 3, | The maximum number of server restarts if the current server is terminated too quickly, integer. The default value is `3`
> restart_quick_fail_time : 10000, | The time in milliseconds that is considered too small, integer. If the server is up for less than the specified time, it is restarted `restart_n_quick_fail` times before the parent process is terminated. The default value is `10000` (10 seconds)